ORG 0000H
LJMP MAIN
popByte  equ 40h
L1 	EQU	    P0.5		
L2 	EQU	    P0.4
L3 	EQU 	P0.3
L4 	EQU 	P0.2
L5 	EQU 	P0.1
L6 	EQU 	P0.0
L7 	EQU 	P2.5
L8 	EQU 	P2.4
L9 	EQU 	P2.3	

L10 	EQU 	P2.2
L11 	EQU 	P2.1
L12     EQU     p2.0

progBTN1  equ P3.3
progBTN2  equ P3.4

BIT_VAR         DATA    20h

progBit1     BIT     BIT_VAR.0         
progBit2     BIT     BIT_VAR.1



#include "sequences.inc"
MAIN:

	 setb progBit1  ;button not pressed
	 setb progBit2 
	 
;check button pressed in delay routine
;delay routine records presses in progBit1 and progBit2

testButton1:
               ; jb P3.3,testButton2
		        jb progBit1,testButton2	    
				MOV P1,#1  ;debug
                call program0  ;Run this segment if button pressed
                sjmp testButton1  ;done

testButton2:

                ;jb P3.4,default
				jb progBit2,default
				MOV P1,#2  ;debug
                call program2  ;Run this segment if button pressed
                sjmp testButton1
default:  
                MOV P1,#4 ;debug
                call program1  ;Run this segment if no buttons pressed
                sjmp testButton1



DELAY:	 

      MOV R0,#0FFH
INLOP:
      MOV R1,#0FFH
buttonTest:  
    setb progBit2  ;default to not pressed
	setb progBit1

    jnb progBTN1,button1exit
	jnb progBTN2,button2exit
delay2:
	DJNZ R1,buttonTest
	DJNZ R0,INLOP
	ret

button1exit:
   clr progBit1  ;note button pressed
   sjmp popExit
   
button2exit:
   clr progBit2
  
   
popExit:	;change stack to return to main loop
   pop popByte ;dump return address
   pop popByte ;dump return address
   pop popByte ;dump return address
   pop popByte ;dump return address
   ret

			
END 



